Retrieve charges totals
GET/charges/reports/totals
Retrieves three numbers: count of failed, succeded and settled charges, in given dates
Request
Query Parameters
Possible values: <= 10 characters
Records created earlier than this date will be excluded from result
Possible values: <= 10 characters
Records created later than this date will be excluded from result
Responses
- 200
- 401
- 403
- 409
- 422
- 500
Charges totals report retrieved
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: [success]
data
object
totals_by_currencies
object[]
Code of charges' capture currency
Number of failed charges in given currency
Total amount of failed charges in given currency
Number of succeeded but not yet settled charges in given currency
Total amount of succeeded but not yet settled charges in given currency
Number of settled charges in given currency
Total amount of settled charges in given currency
Possible values: [200]
Possible values: [Successful request]
{
"status": "success",
"data": {
"totals_by_currencies": [
{
"currency": "string",
"failed_count": 0,
"failed_sum": 0,
"succeeded_count": 0,
"succeeded_sum": 0,
"settled_count": 0,
"settled_sum": 0
}
]
},
"code": 200,
"message": "Successful request"
}
Access token is missing or invalid
Access denied
Request failed due to a conflict in the provided entity
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [fail]
Possible values: [409]
Failure reason
{
"status": "fail",
"code": 409,
"message": "Entity with Id already exists"
}
Query failed due to query parameters validation failure
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
Possible values: [422]
{
"status": "error",
"data": {
"dob": {
"day": "Value expected to be 'integer', 'string' given."
}
},
"code": 422,
"message": "cannot process the provided entity"
}
Server error